Bug 445829 - (CVE-2008-1803) CVE-2008-1803 rdesktop: channel_process() Integer Signedness Vulnerability
CVE-2008-1803 rdesktop: channel_process() Integer Signedness Vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=internet,reported=20080507,pub...
: Security
Depends On: 445841 445842 445843 452978 452979
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 06:19 EDT by Tomas Hoger
Modified: 2008-07-25 02:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 02:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-09 06:19:33 EDT
iDefense published advisory affecting rdesktop:

DESCRIPTION:
Remote exploitation of an integer signedness vulnerability in rdesktop, as
included in various vendors' operating system distributions, allows attackers
to execute arbitrary code with the privileges of the logged-in user.

The vulnerability exists within the code responsible for reallocating dynamic
buffers. The rdesktop xrealloc() function uses a signed comparison to determine
if the requested allocation size is less than 1. When this occurs, the function
will incorrectly set the allocation size to be 1. This results in an improperly
sized heap buffer being allocated, which can later be overflowed.

ANALYSIS:
Exploitation of this vulnerability results in the execution of arbitrary code
with the privileges of the logged in user. In order to exploit this
vulnerability, an attacker must persuade a targeted user to connect to a
malicious RDP server. 

Reference:
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=698

Upstream patch:
http://rdesktop.cvs.sourceforge.net/rdesktop/rdesktop/rdesktop.c?r1=1.161&r2=1.162
Comment 5 Tomas Hoger 2008-05-14 02:12:03 EDT
Upstream released version 1.6.0 which address this issue:

http://sourceforge.net/mailarchive/message.php?msg_name=20080511065217.GA24455%40cse.unsw.EDU.AU
Comment 6 Fedora Update System 2008-05-14 18:08:24 EDT
rdesktop-1.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-05-14 18:12:26 EDT
rdesktop-1.6.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-05-14 18:15:08 EDT
rdesktop-1.6.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Tomas Hoger 2008-06-23 12:48:40 EDT
This issue did not affect rdesktop packages as shipped in Red Hat Enterprise
Linux 3 and 4.  xrealloc in those versions (1.2.0 and 1.3.1 respectively) does
not set size to 1 when size is lower than 1.  Negative size values are cast to
large positive when passed as size_t-typed argument to realloc.

Note You need to log in before you can comment on or make changes to this bug.